ARCH        = OS
SHOBJ       = NO

include ../include/makeinclude/Makefile.$(ARCH)

APPNAME     = "Monitor Table Source"
TEMPLINKS   = cdevMessage.cc cdevMessageBinary.cc cdevPacket.cc cdevTagMap.cc
CXXINCLUDES = -I./
LIBS        = $(CDEVLIBS) $(OSLIBS)
TARGETS     = $(TEMPLINKS) $(BASEBIN)/cdevMonitorTableTest
OBJS        = $(OBJDIR)/cdevMonitorTable.o\
              $(OBJDIR)/cdevMessage.o\
              $(OBJDIR)/cdevMessageBinary.o\
              $(OBJDIR)/cdevPacket.o\
              $(OBJDIR)/cdevTagMap.o\
              $(OBJDIR)/test.o

targets: $(TARGETS) 
	@rm -rf $(TEMPLINKS)
	
$(TEMPLINKS) : 
	@cp $^ $@
		
$(BASEBIN)/cdevMonitorTableTest: $(OBJS)
	$(LINK.cc) $^ -o $@ $(LIBS) 

cdevPacket.cc 		: ../cdevPacket/cdevPacket.cc
cdevMessage.cc		: ../cdevPacket/cdevMessage.cc
cdevMessageBinary.cc	: ../cdevPacket/cdevMessageBinary.cc
cdevTagMap.cc		: ../cdevTagMap/cdevTagMap.cc

